Bug 825336 - X can`t wake up monitor (APU HD 6550D)
X can`t wake up monitor (APU HD 6550D)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 14:01 EDT by Martin Naď
Modified: 2013-08-01 14:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:13:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (211.52 KB, text/x-log)
2012-05-25 15:17 EDT, Martin Naď
no flags Details
messages (89.80 KB, application/octet-stream)
2012-05-25 15:17 EDT, Martin Naď
no flags Details
Xorg.0.log (44.73 KB, text/x-log)
2012-05-25 15:19 EDT, Martin Naď
no flags Details

  None (edit)
Description Martin Naď 2012-05-25 14:01:12 EDT
Description of problem:
Monitor (CRT/D-sub) when sleep and I want to wake up(move mouse,hit space) nothing happenig,
If I pull ctrl + alt + F2 monitor normaly wake up.

Version-Release number of selected component (if applicable):
kernel-3.3.7-1.fc17.x86_64
xorg-x11-drv-ati-6.14.4-5.20120417git0bda305f7.fc17.x86_64


00:01.0 VGA compatible controller: ATI Technologies Inc Device 9640

How reproducible:
everytime

Steps to Reproduce:
1.suspend monitor
2.try wake up (with mouse or hit space)
3.nothing happening
  
Actual results:
X can`t wake up monitor

Expected results:
monitor correctly wake up in X

Additional info:
Comment 1 Martin Naď 2012-05-25 15:17:25 EDT
Created attachment 586929 [details]
dmesg
Comment 2 Martin Naď 2012-05-25 15:17:52 EDT
Created attachment 586930 [details]
messages
Comment 3 Martin Naď 2012-05-25 15:19:04 EDT
Created attachment 586931 [details]
Xorg.0.log

I kill X server with ctrl+alt+Bckspc
Comment 4 Martin Naď 2012-05-25 15:20:08 EDT
Its must some change on output to wake up monitor (change resolution)
Comment 5 Martin Naď 2012-05-25 15:20:35 EDT

*** This bug has been marked as a duplicate of bug 655039 ***
Comment 6 Jérôme Glisse 2012-05-25 16:01:21 EDT
Please dont mark bug as duplicate. Let us do that.
Comment 8 Martin Naď 2012-06-05 16:52:40 EDT
upstream

https://bugs.freedesktop.org/show_bug.cgi?id=42490


from dmesg:

[drm:radeon_dp_link_train_cr] *ERROR* clock recovery reached max voltage
[drm:radeon_dp_link_train_cr] *ERROR* clock recovery failed
Comment 9 Minh Ngo 2012-06-26 02:25:45 EDT
Maintainers, have you applied the patch

commit 700698e7c303f5095107c62a81872c2c3dad1702
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Fri Apr 27 17:18:59 2012 -0400

    drm/radeon/kms: need to set up ss on DP bridges as well


In the 3.4.4-1 release?
Comment 10 Justin M. Forbes 2012-06-26 15:32:40 EDT
Yes, this patch was in 3.4.0.  According to the upstream bug, it did not fix the problem for several people.
Comment 11 Martí­n Marqués 2012-07-18 20:41:16 EDT
I stand here with this same problem. Computer goes to sleep and doesn't wake up the video driver. Computer is working as I can type and even reboot if I hit the right keys,
Comment 12 Samuel Sieb 2012-08-22 18:09:17 EDT
That freedesktop bug doesn't seem to be the same issue as this one.  It sounds to me like that one is about the monitor not turning on at all.  This one is about it working for a while and then not working, maybe when the screen locks and turns off.

I have an A8-3870 APU and kernel-3.5.2-1.fc17.x86_64.  I was logged in and went away for a few minutes.  When I came back the monitor was off and wouldn't turn back on.  I checked the logs using ssh and found the messages mentioned above:
[ 1363.859176] [drm:radeon_dp_link_train_cr] *ERROR* clock recovery reached max voltage
[ 1363.859187] [drm:radeon_dp_link_train_cr] *ERROR* clock recovery failed
Comment 13 Frantisek Hanzlik 2012-10-05 05:52:18 EDT
with 3.5.5-2.fc17.i686.PAE kernel (from koji) now i'm working two days without this problem, thus it seem bug is solved (to 3.5.5 Fedora kernel was perhaps bacported some radeon patches from 3.6 kernel).
Comment 14 Martí­n Marqués 2012-11-18 17:31:03 EST
Don't know when it got fixed because I was using the catalyst driver, but with 3.6.2, and with 3.6.6 it works like a charm.
Comment 15 Fedora End Of Life 2013-07-04 02:37:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 14:13:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.